<!--
  Copyright (c) 2023 Eclipse Foundation, Inc.
  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.
  Contributors:
    Olivier Goulet <olivier.goulet@eclipse-foundation.org>

  SPDX-License-Identifier: EPL-2.0
-->

<!-- Topic should correspond to the topic's key defined within the data file. --> 

{{ $topic := .Get "topic" }}
{{ $communities_data := $.Site.Data.topics.communities }}
{{ $communities := index $communities_data.topics $topic }}

<section>
  <h2 class="margin-bottom-40" id="communities">Communities</h2>
  <div class="communities-card-list card-list">
    {{ range $communities }}
      <div class="card topic-card">
        <div class="card-logo">
          <a class="link-unstyled" href="{{ .link }}">
            <img class="img img-responsive" src="{{ .image_url }}" alt="{{ .name }}" aria-role="heading" />
          </a>
        </div>
        <div class="card-content">
          {{ .content | markdownify }}
        </div>
      </div>
    {{ end }}
    </div>
</section>
